unit Figures;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils,
  CastleControls;

type
  TSpheresView = class(TCastleDesign)
  private 
    FCubesButton,
    FMenuButton : TCastleButton;
  public
    property CubesButton : TCastleButton read FCubesButton write FCubesButton;
    property MenuButton : TCastleButton read FMenuButton write FMenuButton;

    constructor Create(AOwner : TComponent); override;
    procedure OpenCubesViewport(Sender : TObject);
    procedure OpenMainMenu(Sender : TObject);
	end;

  TCubesView = class(TCastleDesign)
  private       
    FSpheresButton,
    FMenuButton : TCastleButton;
  public   
    property SpheresButton : TCastleButton read FSpheresButton write FSpheresButton;
    property MenuButton : TCastleButton read FMenuButton write FMenuButton;

    constructor Create(AOwner : TComponent); override;
    procedure OpenMainMenu(Sender : TObject);
    procedure OpenSpheresViewport(Sender : TObject);
	end;

implementation

uses
  GameViewMain;

{ TSpheresView---------------------------------------------------------------- }

constructor TSpheresView.Create(AOwner : TComponent);
begin
  inherited;
  Url := 'castle-data:/spheresdesign.castle-user-interface';
  FullSize := True;
  Exists   := False; 

  CubesButton := DesignedComponent('Button1') as TCastleButton;
  CubesButton.OnClick := @OpenCubesViewport;
  MenuButton := DesignedComponent('Button2') as TCastleButton;
  MenuButton.OnClick := @OpenMainMenu;
end;        

procedure TSpheresView.OpenCubesViewport(Sender : TObject);
begin
  ViewMain.ToCubesViewport;
  Exists := False;
end;

procedure TSpheresView.OpenMainMenu(Sender : TObject);
begin
  ViewMain.ToMainMenu;
  Exists := False;
end;

{ TCubesView------------------------------------------------------------------ }

constructor TCubesView.Create(AOwner : TComponent);
begin
  inherited;
  Url := 'castle-data:/cubesdesign.castle-user-interface';  
  FullSize := True;  
  Exists   := False;

  SpheresButton := DesignedComponent('Button1') as TCastleButton;
  SpheresButton.OnClick := @OpenSpheresViewport;
  MenuButton := DesignedComponent('Button2') as TCastleButton;
  MenuButton.OnClick := @OpenMainMenu;
end;

procedure TCubesView.OpenSpheresViewport(Sender : TObject);
begin
  ViewMain.ToSpheresViewport;
  Exists := False;
end;

procedure TCubesView.OpenMainMenu(Sender : TObject);
begin
  ViewMain.ToMainMenu;
  Exists := False;
end;

end.

